using System;
using VT.FW.DB;

namespace Edu.Model.Entity.User
{
    /// <summary>
    /// rb_technicaldates Entity
    /// </summary> 
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_Technicaldates
    {

        /// <summary>
        /// Id
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// AttendanceId
        /// </summary>        
        public int AttendanceId
        {
            get;
            set;
        }
        /// <summary>
        /// 日期
        /// </summary>        
        public DateTime Date
        {
            get;
            set;
        }
        /// <summary>
        /// 类型1打卡2不打卡
        /// </summary>        
        public int? Type
        {
            get;
            set;
        }
        /// <summary>
        /// 上班打卡时间
        /// </summary>        
        public string BeOnDutyTime
        {
            get;
            set;
        }
        /// <summary>
        /// 下班打卡时间
        /// </summary>        
        public string OffDutyTime
        {
            get;
            set;
        }

        /// <summary>
        /// 部门编号
        /// </summary>        
        public int RB_Department_Id
        {
            get;
            set;
        }
        /// <summary>
          /// 主键:员工编号
          /// </summary>        
        public int EmployeeId
        {
            get;
            set;
        }
    }
}